Subject: postdoc position

From: [email-masked] ("Bridgette A. Barry")
Date: 22 May 1996 13:29:26 -0700

A postdoctoral position is available to study photosystem II structure and 
function in the green algae, Chlamydomonas reinhartii.  This is a joint position
in the laboratories of Dr. B. A. Barry, Department of Biochemistry, and Dr. P.A.
Lefebvre, Department of Genetics and Cell Biology, at the University of 
Minnesota.  The successful applicant will have either a background in genetics 
or a background in biophysics.  Interested applicants should send a CV and three
letters of recommendation to:
 Dr. Bridgette A. Barry, 140 Gortner Laboratory, Department of Biochemistry, 
University of Minnesota